﻿@model FQ.MD.WEB.ViewModels.ModuleViewModel
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Status;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Modules")">@Res.Modules</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Module</label>
            <label class="col-md-6">: @Model.Module</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6 text-right">
                @if (ViewBag.IsCreateGranted)
                {
                    <a class="btn btn-sm btn-primary" href="@Url.Action("Add", new { ModuleId = Model.ModuleId })">@Res.Add</a>
                }
            </div>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <td width="10%">
                            @Res.Status
                        </td>
                        <td width="75%">
                            @Res.Description
                        </td>
                        <td width="15%"></td>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var parent in Model.Status)
                    {
                        <tr>
                            <td>
                                @parent.Status
                            </td>
                            <td>
                                @parent.Description
                            </td>
                            <td class="text-right">  @Html.Raw(parent.Actions) </td>
                        </tr>
                    }
                </tbody>
            </table>

        </div>
    </div>
</div>